# Name_Request_Reply.h File Reference

`#include "ace/Basic_Types.h"`

Include dependency graph for Name_Request_Reply.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Name_Request
| Message format for delivering requests to the ACE_Name Server. More...
struct | ACE_Name_Request::Transfer
class | ACE_Name_Reply
| Message format for delivering replies from the ACE_Name Server. More...
struct | ACE_Name_Reply::Transfer

## Detailed Description

Id
  Name_Request_Reply.h,v 4.23 2005/10/28 16:14:53 ossama Exp

Define the format used to exchange messages between the ACE_Name Server and its clients.

Author:
  Gerhard Lenzer

  Douglas C. Schmidt

  Prashant Jain